
#define LED_BOTTOM 		B,1,H
#define LED_TOP 		B,2,H
#define OUT_POMP 		C,5,H
#define OUT_TRIG 		D,7,H

#define PIN_KEY_PROG 	D,5,L
#define PIN_KEY_POMP 	D,6,L

//----------74HC595-------------
#define DATA	D,4,H
#define SHIFT	D,2,H
#define STORAGE	D,3,H

/*#define LED_BOTTOM 		C,1,H
#define LED_TOP 		C,0,H
#define OUT_POMP 		A,2,H
#define OUT_TRIG 		D,2,H

#define PIN_KEY_PROG 	D,5,L
#define PIN_KEY_POMP 	D,4,L

//----------74HC595-------------
#define DATA	B,0,H
#define SHIFT	B,1,H
#define STORAGE	B,2,H*/

#define LED_NUM	9

#define KEY_POMP		_BV(0)
#define KEY_PROG		_BV(1)

#define CAPTURE_RISE	TCCR1B= _BV(CS11)|_BV(ICNC1)|_BV(ICES1)	//  8 rise front
#define CAPTURE_FALLING	TCCR1B= _BV(CS11)|_BV(ICNC1)	//  8 falling front

volatile uint8_t IcfState;
uint16_t CaptureStart, CaptureEnd, CurrentProzentLevel, LedEndPosition, PulseLength;
uint8_t StateApp, Key, OverHiLevel, OverLowLevel, Mig, PompDisable=1, PompDrebezg, eeprom_err;
uint16_t Out595;



struct	setup{
		uint16_t PointBottom;
		uint16_t PointTop;
		uint16_t Length100prz;
		uint16_t PointPomp;
		uint16_t crc;
} setup;

//-------------EEPROM-----------------
#define ADR_EEP		10
//------------------------------------

enum ST{ST_WORK, ST_ENTER_PROG, ST_PROG_BOTTOM, ST_PROG_TOP, ST_ENTER_POMP, ST_PROG_POMP, ST_PROG_END, ST_ERROR};
enum st_cpapt {ST_IDLE, ST_START_CAPTURE, ST_CAPTURE_RISE, ST_CAPTURE_FALLING, ST_CAPTURE_END, ST_CAPTURE_DATA_REC}; 
